﻿
Imports Newtonsoft.Json

<Serializable>
Public Class Artist
    <JsonProperty("id")>
    Public Property Id As String
    <JsonProperty("name")>
    Public Property Name As String
End Class

<Serializable>
Public Class Track
    <JsonProperty("position")>
    Public Property Position As Integer
    <JsonProperty("artists")>
    Public Property Artists As Artist()
    <JsonProperty("id")>
    Public Property Id As String
    <JsonProperty("title")>
    Public Property Title As String
End Class

<Serializable>
Public Class Medium
    <JsonProperty("position")>
    Public Property Position As Integer
    <JsonProperty("tracks")>
    Public Property Tracks As Track()
    <JsonProperty("track_count")>
    Public Property TrackCount As Integer
    <JsonProperty("format")>
    Public Property Format As String
    <JsonProperty("title")>
    Public Property Title As String
End Class

<Serializable>
Public Class Release
    <JsonProperty("mediums")>
    Public Property Mediums As Medium()
    <JsonProperty("id")>
    Public Property Id As String
End Class

<Serializable>
Public Class Releasegroup
    <JsonProperty("id")>
    Public Property Id As String
    <JsonProperty("releases")>
    Public Property Releases As Release()
End Class

<Serializable>
Public Class Recording
    <JsonProperty("sources")>
    Public Property Sources As Integer
    <JsonProperty("releasegroups")>
    Public Property Releasegroups As Releasegroup()
    <JsonProperty("id")>
    Public Property Id As String
End Class

<Serializable>
Public Class Result
    <JsonProperty("recordings")>
    Public Property Recordings As Recording()
    <JsonProperty("score")>
    Public Property Score As Double
    <JsonProperty("id")>
    Public Property Id As String
End Class

<Serializable>
Public Class c_JSON_ROOT
    <JsonProperty("status")>
    Public Property Status As String
    <JsonProperty("results")>
    Public Property Results As Result()
End Class
